## ENameSelectorDialog ENameSelectorDialog |

## Functions

ENameSelectorDialog * | e_name_selector_dialog_new ()
EClientCache * | e_name_selector_dialog_ref_client_cache ()
ENameSelectorModel * | e_name_selector_dialog_peek_model ()
void | e_name_selector_dialog_set_model ()
void | e_name_selector_dialog_set_destination_index ()
void | e_name_selector_dialog_set_scrolling_policy ()
gboolean | e_name_selector_dialog_get_section_visible ()
void | e_name_selector_dialog_set_section_visible ()

## Properties

EClientCache * | client-cache | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── ENameSelectorDialog

## Description

## Functions

### e_name_selector_dialog_new ()

    ENameSelectorDialog *
    e_name_selector_dialog_new (EClientCache *client_cache);

Creates a new ENameSelectorDialog.

#### Parameters

client_cache | an EClientCache |

#### Returns

A new ENameSelectorDialog.

### e_name_selector_dialog_ref_client_cache ()

    EClientCache *
    e_name_selector_dialog_ref_client_cache
                                   (ENameSelectorDialog *name_selector_dialog);

Returns the EClientCache passed to `e_name_selector_dialog_new()`.

The returned EClientCache is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

#### Parameters

name_selector_dialog | an ENameSelectorDialog |

#### Returns

an EClientCache

Since: 3.8

### e_name_selector_dialog_peek_model ()

    ENameSelectorModel *
    e_name_selector_dialog_peek_model (ENameSelectorDialog *name_selector_dialog);

Gets the ENameSelectorModel used by `name_selector_model` .

#### Parameters

name_selector_dialog | an ENameSelectorDialog |

#### Returns

The ENameSelectorModel being used.

### e_name_selector_dialog_set_model ()

    void
    e_name_selector_dialog_set_model (ENameSelectorDialog *name_selector_dialog,
                                      ENameSelectorModel *model);

Sets the model being used by `name_selector_dialog` to `model` .

#### Parameters

name_selector_dialog | an ENameSelectorDialog |
model | an ENameSelectorModel |

### e_name_selector_dialog_set_destination_index ()

    void
    e_name_selector_dialog_set_destination_index
                                   (ENameSelectorDialog *name_selector_dialog,
                                    guint index);

Sets the index number of the destination section.

#### Parameters

name_selector_dialog | an ENameSelectorDialog |
index | index of the destination section, starting from 0. |

### e_name_selector_dialog_set_scrolling_policy ()

    void
    e_name_selector_dialog_set_scrolling_policy
                                   (ENameSelectorDialog *name_selector_dialog,
                                    GtkPolicyType hscrollbar_policy,
                                    GtkPolicyType vscrollbar_policy);

Sets the scrolling policy for the contacts section.

#### Parameters

name_selector_dialog | an ENameSelectorDialog |
hscrollbar_policy | scrolling policy for horizontal bar of the contacts window. |
vscrollbar_policy | scrolling policy for vertical bar of the contacts window. |

Since: 3.2

### e_name_selector_dialog_get_section_visible ()

    gboolean
    e_name_selector_dialog_get_section_visible
                                   (ENameSelectorDialog *name_selector_dialog,
                                    const gchar *name);

#### Parameters

name_selector_dialog | an ENameSelectorDialog |
name | name of the section |

#### Returns

whether section named `name` is visible in the dialog.

Since: 3.8

### e_name_selector_dialog_set_section_visible ()

    void
    e_name_selector_dialog_set_section_visible
                                   (ENameSelectorDialog *name_selector_dialog,
                                    const gchar *name,
                                    gboolean visible);

Shows or hides section named `name` in the dialog.

#### Parameters

name_selector_dialog | an ENameSelectorDialog |
name | name of the section |
visible | whether to show or hide the section |

Since: 3.8

## Types and Values

## Property Details

### The `“client-cache”` property

      “client-cache”             EClientCache *

Cache of shared EClient instances.

Flags: Read / Write / Construct Only